PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningCreate

Creates a partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningCreate(MPI_Comm comm,MatPartitioning *newp)

Collective

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| newp | - location to put the context

### See Also

MatPartitioningSetType(), MatPartitioningApply(), MatPartitioningDestroy(),
MatPartitioningSetAdjacency()

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/tutorials/ex11.c.html
src/mat/tutorials/ex15.c.html
src/mat/tutorials/ex17.c.html
src/mat/tutorials/ex15f.F90.html
src/mat/tutorials/ex17f.F90.html
src/ksp/ksp/tutorials/ex64.c.html

### Implementations

MatPartitioningCreate_Chaco in src/mat/partition/impls/chaco/chaco.c
MatPartitioningCreate_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningCreate_Party in src/mat/partition/impls/party/party.c
MatPartitioningCreate_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningCreate_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages